For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/2025-07/api/products/llms.txt. For full documentation content, see https://developer.shipbob.com/2025-07/api/products/llms-full.txt.

#   Gets Product by Id


GET https://api.shipbob.com/2025-07/product/{productId}

Reference: https://developer.shipbob.com/2025-07/api/products/gets-product-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2025-07
  version: 1.0.0
paths:
  /2025-07/product/{productId}:
    get:
      operationId: gets-product-by-id
      summary: |2
          Gets Product by Id
      tags:
        - subpackage_products
      parameters:
        - name: productId
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: int64
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products.ProductViewModelV5'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Get.Api.V5.Product.ProductId.Bad.Request.Object
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Get.Api.V5.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Products.TaxonomyInformationViewModel:
      type: object
      properties:
        id:
          type:
            - integer
            - 'null'
        name:
          type:
            - string
            - 'null'
        parent_id:
          type:
            - integer
            - 'null'
        parent_name:
          type:
            - string
            - 'null'
        path:
          type:
            - string
            - 'null'
      title: Products.TaxonomyInformationViewModel
    Products.AdditionalHazmatAttributesViewModel:
      type: object
      properties:
        charge_state_percentage:
          type:
            - number
            - 'null'
          format: double
        container_metal:
          type:
            - boolean
            - 'null'
        container_type:
          type:
            - string
            - 'null'
        lithium_battery_packaging:
          type:
            - string
            - 'null'
        lithium_battery_type:
          type:
            - string
            - 'null'
        magnet:
          type:
            - boolean
            - 'null'
        net_volume:
          type:
            - number
            - 'null'
          format: double
        net_weight:
          type:
            - number
            - 'null'
          format: double
      title: Products.AdditionalHazmatAttributesViewModel
    Products.AssociatedBundlesViewModel:
      type: object
      properties:
        product_id:
          type: integer
          format: int64
        product_name:
          type:
            - string
            - 'null'
        quantity:
          type: integer
        variant_id:
          type: integer
          format: int64
        variant_sku:
          type:
            - string
            - 'null'
      title: Products.AssociatedBundlesViewModel
    Products.BundleDefinitionViewModel:
      type: object
      properties:
        product_id:
          type: integer
          format: int64
        quantity:
          type: integer
        variant_id:
          type: integer
          format: int64
        variant_name:
          type:
            - string
            - 'null'
        variant_sku:
          type:
            - string
            - 'null'
      title: Products.BundleDefinitionViewModel
    Products.CustomsViewModel:
      type: object
      properties:
        country_code_of_origin:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        hs_tariff_code:
          type:
            - string
            - 'null'
        is321_eligible:
          type: boolean
        value:
          type:
            - integer
            - 'null'
      title: Products.CustomsViewModel
    Products.DimensionViewModel:
      type: object
      properties:
        height:
          type: number
          format: double
        is_locked:
          type: boolean
        length:
          type: number
          format: double
        source:
          type:
            - string
            - 'null'
        unit:
          type:
            - string
            - 'null'
        width:
          type: number
          format: double
      title: Products.DimensionViewModel
    Products.SerialScanViewModel:
      type: object
      properties:
        exact_character_length:
          type:
            - integer
            - 'null'
        is_enabled:
          type: boolean
        prefix:
          type:
            - string
            - 'null'
        suffix:
          type:
            - string
            - 'null'
      title: Products.SerialScanViewModel
    Products.FulfillmentSettingsViewModel:
      type: object
      properties:
        dangerous_goods:
          type: boolean
        is_bpm_parcel:
          type: boolean
        is_case_pick:
          type: boolean
        msds_url:
          type:
            - string
            - 'null'
        requires_prop65:
          type: boolean
        serial_scan:
          $ref: '#/components/schemas/Products.SerialScanViewModel'
      title: Products.FulfillmentSettingsViewModel
    Products.InventoryViewModel:
      type: object
      properties:
        inventory_id:
          type:
            - integer
            - 'null'
        on_hand_qty:
          type: integer
      title: Products.InventoryViewModel
    Products.LotInformationViewModel:
      type: object
      properties:
        is_lot:
          type: boolean
        minimum_shelf_life_days:
          type:
            - integer
            - 'null'
      title: Products.LotInformationViewModel
    Products.MergedChildrenViewModel:
      type: object
      properties:
        channel_ids:
          type:
            - array
            - 'null'
          items:
            type: integer
            format: int64
        completed_at:
          type: string
          format: date-time
        inventory_id:
          type:
            - integer
            - 'null'
          format: int64
        variant_id:
          type: integer
          format: int64
        variant_name:
          type:
            - string
            - 'null'
      title: Products.MergedChildrenViewModel
    Products.EnumViewModel:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type:
            - string
            - 'null'
      title: Products.EnumViewModel
    Products.ReturnPreferencesViewModel:
      type: object
      properties:
        backup_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
        instructions:
          type:
            - string
            - 'null'
        primary_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_to_sender_backup_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_to_sender_primary_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
      title: Products.ReturnPreferencesViewModel
    Products.WeightViewModel:
      type: object
      properties:
        unit:
          type:
            - string
            - 'null'
        weight:
          type: number
          format: double
      title: Products.WeightViewModel
    Products.BarcodeViewModel:
      type: object
      properties:
        sticker_url:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
      title: Products.BarcodeViewModel
    Products.ChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
      title: Products.ChannelMetadataViewModel
    Products.AmazonChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
        asin:
          type:
            - string
            - 'null'
        fnsku:
          type:
            - string
            - 'null'
        fulfillment_channel:
          type:
            - string
            - 'null'
      title: Products.AmazonChannelMetadataViewModel
    Products.BigCommerceChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
        platform_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform_variant_id:
          type:
            - integer
            - 'null'
          format: int64
      title: Products.BigCommerceChannelMetadataViewModel
    Products.ShopifyChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
      title: Products.ShopifyChannelMetadataViewModel
    ProductsVariantViewModelV5ChannelMetadataItems:
      oneOf:
        - $ref: '#/components/schemas/Products.ChannelMetadataViewModel'
        - $ref: '#/components/schemas/Products.AmazonChannelMetadataViewModel'
        - $ref: '#/components/schemas/Products.BigCommerceChannelMetadataViewModel'
        - $ref: '#/components/schemas/Products.ShopifyChannelMetadataViewModel'
      title: ProductsVariantViewModelV5ChannelMetadataItems
    Products.VariantViewModelV5:
      type: object
      properties:
        additional_hazmat_attributes:
          $ref: '#/components/schemas/Products.AdditionalHazmatAttributesViewModel'
        associated_bundles:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.AssociatedBundlesViewModel'
        bundle_definition:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.BundleDefinitionViewModel'
        created_on:
          type: string
          format: date-time
        customs:
          $ref: '#/components/schemas/Products.CustomsViewModel'
        dimension:
          $ref: '#/components/schemas/Products.DimensionViewModel'
        fulfillment_settings:
          $ref: '#/components/schemas/Products.FulfillmentSettingsViewModel'
        gtin:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        inventory:
          $ref: '#/components/schemas/Products.InventoryViewModel'
        is_digital:
          type: boolean
        is_image_uploaded:
          type: boolean
        lot_information:
          $ref: '#/components/schemas/Products.LotInformationViewModel'
        merge_children:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.MergedChildrenViewModel'
        name:
          type:
            - string
            - 'null'
        packaging_material_type:
          $ref: '#/components/schemas/Products.EnumViewModel'
        packaging_requirement:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_preferences:
          $ref: '#/components/schemas/Products.ReturnPreferencesViewModel'
        reviews_pending:
          type:
            - array
            - 'null'
          items:
            type: string
        sku:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        upc:
          type:
            - string
            - 'null'
        updated_on:
          type:
            - string
            - 'null'
          format: date-time
        weight:
          $ref: '#/components/schemas/Products.WeightViewModel'
        barcodes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.BarcodeViewModel'
        channel_metadata:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/ProductsVariantViewModelV5ChannelMetadataItems
      title: Products.VariantViewModelV5
    Products.ComplianceViewModel:
      type: object
      properties:
        category:
          type:
            - array
            - 'null'
          items:
            type: string
        reasons:
          type:
            - array
            - 'null'
          items:
            type: string
        status:
          type:
            - string
            - 'null'
      title: Products.ComplianceViewModel
    Products.VariantInternalViewModelV5:
      type: object
      properties:
        additional_hazmat_attributes:
          $ref: '#/components/schemas/Products.AdditionalHazmatAttributesViewModel'
        associated_bundles:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.AssociatedBundlesViewModel'
        bundle_definition:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.BundleDefinitionViewModel'
        created_on:
          type: string
          format: date-time
        customs:
          $ref: '#/components/schemas/Products.CustomsViewModel'
        dimension:
          $ref: '#/components/schemas/Products.DimensionViewModel'
        fulfillment_settings:
          $ref: '#/components/schemas/Products.FulfillmentSettingsViewModel'
        gtin:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        inventory:
          $ref: '#/components/schemas/Products.InventoryViewModel'
        is_digital:
          type: boolean
        is_image_uploaded:
          type: boolean
        lot_information:
          $ref: '#/components/schemas/Products.LotInformationViewModel'
        merge_children:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.MergedChildrenViewModel'
        name:
          type:
            - string
            - 'null'
        packaging_material_type:
          $ref: '#/components/schemas/Products.EnumViewModel'
        packaging_requirement:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_preferences:
          $ref: '#/components/schemas/Products.ReturnPreferencesViewModel'
        reviews_pending:
          type:
            - array
            - 'null'
          items:
            type: string
        sku:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        upc:
          type:
            - string
            - 'null'
        updated_on:
          type:
            - string
            - 'null'
          format: date-time
        weight:
          $ref: '#/components/schemas/Products.WeightViewModel'
        barcodes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.BarcodeViewModel'
        channel_metadata:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/ProductsVariantViewModelV5ChannelMetadataItems
        compliance:
          $ref: '#/components/schemas/Products.ComplianceViewModel'
      title: Products.VariantInternalViewModelV5
    ProductsProductViewModelV5VariantsItems:
      oneOf:
        - $ref: '#/components/schemas/Products.VariantViewModelV5'
        - $ref: '#/components/schemas/Products.VariantInternalViewModelV5'
      title: ProductsProductViewModelV5VariantsItems
    Products.ProductViewModelV5:
      type: object
      properties:
        created_on:
          type: string
          format: date-time
        id:
          type: integer
          format: int64
        name:
          type:
            - string
            - 'null'
        taxonomy:
          $ref: '#/components/schemas/Products.TaxonomyInformationViewModel'
        type:
          type:
            - string
            - 'null'
        updated_on:
          type:
            - string
            - 'null'
          format: date-time
        user_id:
          type: integer
          format: int64
        variants:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/ProductsProductViewModelV5VariantsItems'
      title: Products.ProductViewModelV5
    Products.Get.Api.V5.Product.ProductId.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Products.Get.Api.V5.Product.ProductId.Bad.Request.Object
    Products.ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Products.ProblemDetails
    Products.HttpValidationProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        errors:
          type:
            - object
            - 'null'
          additionalProperties:
            type: array
            items:
              type: string
      title: Products.HttpValidationProblemDetails
    Products.Get.Api.V5.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails:
      oneOf:
        - $ref: '#/components/schemas/Products.ProblemDetails'
        - $ref: '#/components/schemas/Products.HttpValidationProblemDetails'
      title: >-
        Products.Get.Api.V5.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python Products_getsProductById_example
import requests

url = "https://api.shipbob.com/2025-07/product/productId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Products_getsProductById_example
const url = 'https://api.shipbob.com/2025-07/product/productId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products_getsProductById_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2025-07/product/productId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products_getsProductById_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2025-07/product/productId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Products_getsProductById_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2025-07/product/productId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Products_getsProductById_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2025-07/product/productId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Products_getsProductById_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2025-07/product/productId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Products_getsProductById_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/product/productId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```